> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/data-access/enumerations/access-control-lock.md).

# AccessControlLock

The parts that can possibly be locked on an access control.

```graphql
enum AccessControlLock {
  DeleteLock
  InheritanceLock
  NameLock
  OwnerLock
  WhatLock
  WhoLock
}
```

### Values

#### DeleteLock <a href="#delete-lock" id="delete-lock"></a>

The access control cannot be deleted. This also has the impact that, when the access control is edited, after the synchronization, the access control will be made external again.

#### InheritanceLock <a href="#inheritance-lock" id="inheritance-lock"></a>

The access controls in the WHO list of the access control cannot be edited.

#### NameLock <a href="#name-lock" id="name-lock"></a>

The name of the access control cannot be edited.

#### OwnerLock <a href="#owner-lock" id="owner-lock"></a>

The owners of the access control cannot be edited.

#### WhatLock <a href="#what-lock" id="what-lock"></a>

The WHAT list of the access control cannot be edited.

#### WhoLock <a href="#who-lock" id="who-lock"></a>

The users in the WHO list of the access control cannot be edited.

### Member Of

[`AccessControlLockData`](/api/graphql/data-access/object-types/access-control-lock-data.md) object ● [`AccessControlLockDataInput`](/api/graphql/data-access/input-types/access-control-lock-data-input.md) input ● [`GrantCategory`](/api/graphql/data-access/object-types/grant-category.md) object ● `GrantCategoryInput` input ● `LockOnCreate` object ● `LockOnCreateInput` input


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/data-access/enumerations/access-control-lock.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
